Subject: bug#28659: v0.13: guix pull fails; libgit2-0.26.0 and 0.25.1 content hashes fail

From: Leo Famulari <[email-masked]>
Date: Mon, 2 Oct 2017 16:29:07 -0400

On Mon, Oct 02, 2017 at 10:22:33PM +0200, Jan Nieuwenhuizen wrote:
> Hmm.  I'm not sure what problem we are solving.  Should we only do this
> for github(-like) tarballs?  Do we see this problem with other sources,
> should we prevent it?  Possibly github will never do something like this
> again.  Or we could banish github/gitlab(?) auto-generated tarballs and
> go for git checkouts+commits?

Files referenced by URL (location-addressing vs content-addressing) have
been changed in place by a variety of hosters and upstream projects
since I've started paying attention to these issues. I don't think we
need to do anything special regarding GitHub.